Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 315117 - net-im/pymsn-t: Verify and potentially improve Python-related code
Summary: net-im/pymsn-t: Verify and potentially improve Python-related code
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 308257
  Show dependency tree
 
Reported: 2010-04-13 20:59 UTC by Arfrever Frehtes Taifersar Arahesis (RETIRED)
Modified: 2014-12-02 23:47 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild patch (pymsn-t.patch,447 bytes, patch)
2011-11-27 19:00 UTC, Ian Delaney (RETIRED)
Details | Diff
revised ebuild patch (pymsn-t.patch,1.30 KB, patch)
2011-11-28 03:31 UTC, Ian Delaney (RETIRED)
Details | Diff
revised ebuild patch (pymsn-t.patch,1.32 KB, patch)
2011-11-29 07:40 UTC, Ian Delaney (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-04-13 20:59:27 UTC
- If this package can be used as a library and installs Python modules
  (*.so or *.py) into site-packages directories, then consider supporting
  installation for multiple Python versions.
  Please read section "Types of packages" in documentation [1] to decide
  if this package can support installation for multiple Python versions.

- Ensure that the ebuilds do not use deprecated functions or variables.

- Please check if Python 3 is supported by this package. You can temporarily
  set Python 3 as main active version of Python to properly test if this
  package supports Python 3.

- If this package does not support Python 3:
  - Specify dependency on Python 2.
    You can use PYTHON_DEPEND helper variable, which should be set before
    inheriting of python eclass.
    Please read section "Specification of dependency on Python" in
    documentation [1].

  - If this package cannot support installation for multiple versions of
    Python, then set active version of Python using
    python_set_active_version().

  - Ensure that shebangs in installed scripts specify correct version of
    Python. If shebangs are too generic (e.g. '#!/usr/bin/python'), then you
    can use python_convert_shebangs() to convert shebangs.
    (Wrapper scripts generated by python_generate_wrapper_scripts() do not
    require any changes.)
    Please read section "Shebangs in installed scripts" in documentation [1].

  - To ensure that changes applied to the ebuilds are sufficient, please
    temporarily set Python 3 as main active version of Python and test if
    this package can be properly installed and if it works at run time.

Please see documentation [1] for more details.
[1] http://www.gentoo.org/proj/en/Python/developersguide.xml
Comment 1 Maurice van der Pot (RETIRED) gentoo-dev 2010-08-17 18:07:42 UTC
I've retired as a gentoo dev. Reassigning to herd.
Comment 2 Ian Delaney (RETIRED) gentoo-dev 2011-11-27 19:00:53 UTC
Created attachment 293965 [details, diff]
ebuild patch
Comment 3 Arfrever Frehtes Taifersar Arahesis 2011-11-27 21:43:29 UTC
(In reply to comment #2)

pkg_setup() {
	python_set_active_version 2
	python_pkg_setup
}

${FILESDIR}/pymsn-t-initd should be fixed to not explicitly call /usr/bin/python.

${ED}$(python_get_sitedir)/pymsn-t/pymsn-t.py should be executable. Shebang in this script should be fixed.
Comment 4 Ian Delaney (RETIRED) gentoo-dev 2011-11-28 03:31:38 UTC
Created attachment 294021 [details, diff]
revised ebuild patch
Comment 5 Arfrever Frehtes Taifersar Arahesis 2011-11-28 19:05:19 UTC
(In reply to comment #4)

It's better to directly change the file in ${FILESDIR}.

${ED} should be quoted.
Comment 6 Arfrever Frehtes Taifersar Arahesis 2011-11-28 19:07:20 UTC
(In reply to comment #4)

Since pymsn-t.py script is in site-packages, it should have less generic shebang:

python_convert_shebangs ${PYTHON_ABI} "${ED}$(python_get_sitedir)/pymsn-t/pymsn-t.py"
Comment 7 Ian Delaney (RETIRED) gentoo-dev 2011-11-29 07:40:58 UTC
Created attachment 294133 [details, diff]
revised ebuild patch
Comment 8 Pacho Ramos gentoo-dev 2014-12-02 23:47:37 UTC
was ported to new eclasses at some point